# std::_Fwd_list_node< _Tp, _Alloc > Struct Template Reference

A helper node class for forward_list. This is just a linked list with a data value in each node. There is a sorting utility method. More...

Inheritance diagram for std::_Fwd_list_node< _Tp, _Alloc >:

List of all members.

## Public Types

- typedef _Alloc::template
  rebind< _Fwd_list_node_base
  < _Alloc >
  >::other::const_pointer _Const_pointer
- typedef _Alloc::template
  rebind< _Fwd_list_node< _Tp,
  _Alloc > >::other::pointer _Pointer

## Public Member Functions

- template<typename... _Args> _Fwd_list_node (_Args &&...__args)
- void _M_reverse_after ()
- template<typename _Comp > void _M_sort_after (_Comp __comp)
- void _M_transfer_after (_Pointer __bbegin, _Pointer __bend)
- void _M_transfer_after (_Pointer __bbegin)

## Static Public Member Functions

- static void swap (_Fwd_list_node_base &__x, _Fwd_list_node_base &__y)

## Public Attributes

- _Pointer _M_next
- _Tp _M_value

## Detailed Description

### template<typename _Tp, typename _Alloc>
struct std::_Fwd_list_node< _Tp, _Alloc >

A helper node class for forward_list. This is just a linked list with a data value in each node. There is a sorting utility method.

Definition at line 85 of file forward_list.h.

## Member Function Documentation

template<typename _Tp , class _Alloc >
template<typename _Comp >

void std::_Fwd_list_node< _Tp, _Alloc >::_M_sort_after | ( | _Comp | __comp | ) | `[inline]`

Sort the singly linked list starting after this node. This node is assumed to be an empty head node (of type _Fwd_list_node_base).

Definition at line 87 of file forward_list.tcc.

The documentation for this struct was generated from the following files:

- forward_list.h
- forward_list.tcc